Bug 1190373 - (CVE-2021-22946) VUL-0: CVE-2021-22946: curl: Protocol downgrade required TLS bypassed
(CVE-2021-22946)
VUL-0: CVE-2021-22946: curl: Protocol downgrade required TLS bypassed
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/309781/
CVSSv3.1:SUSE:CVE-2021-22946:5.9:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-10 07:12 UTC by Robert Frohl
Modified: 2021-10-18 19:21 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 7 Pedro Monreal Gonzalez 2021-09-15 07:19:47 UTC
Factory submission: https://build.opensuse.org/request/show/919068
I'll submit version 7.79.0 to SLE-15-SP4:GA soon.
Comment 10 Swamp Workflow Management 2021-09-23 19:41:40 UTC
SUSE-SU-2021:14807-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SECURITY (src):    curl-openssl1-7.37.0-70.74.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-10-06 19:17:48 UTC
openSUSE-SU-2021:3298-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    curl-7.66.0-4.27.1
Comment 13 Swamp Workflow Management 2021-10-06 19:47:34 UTC
SUSE-SU-2021:3298-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    curl-7.66.0-4.27.1
SUSE MicroOS 5.0 (src):    curl-7.66.0-4.27.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    curl-7.66.0-4.27.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    curl-7.66.0-4.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2021-10-06 19:56:38 UTC
SUSE-SU-2021:3297-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server for SAP 15 (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    curl-7.60.0-25.1
SUSE Linux Enterprise Server 15-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    curl-7.60.0-25.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    curl-7.60.0-25.1
SUSE Enterprise Storage 6 (src):    curl-7.60.0-25.1
SUSE CaaS Platform 4.0 (src):    curl-7.60.0-25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-10-11 19:26:08 UTC
SUSE-SU-2021:3332-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    curl-7.60.0-11.28.1
SUSE Linux Enterprise Server 12-SP5 (src):    curl-7.60.0-11.28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-10-12 16:23:38 UTC
SUSE-SU-2021:3351-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    curl-7.60.0-4.30.1
SUSE OpenStack Cloud 9 (src):    curl-7.60.0-4.30.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    curl-7.60.0-4.30.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    curl-7.60.0-4.30.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-10-18 19:21:51 UTC
openSUSE-SU-2021:1384-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1190373,1190374
CVE References: CVE-2021-22946,CVE-2021-22947
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    curl-7.66.0-lp152.3.24.1, curl-mini-7.66.0-lp152.3.24.1